<?
/*
 *      admin.php
 *			Einstiegsseite Vetsoft-Admin
 *      
 *      Copyright (C)  2017 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *					   Eric Walter (EW)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2017-03-22 V 1.0 EW
//
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<!DOCTYPE html>
<html lang="de">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="description" content="">
	<meta name="author" content="(copyright) LanOx GmbH">
	<title id="title"><?php  echo "Vetsoft Administration";?></title>
	
	<link href="../bootstrap/css/bootstrap.css" rel="stylesheet">
	<link href="../css/validationEngine.jquery.css" rel="stylesheet">
	
	<script src="../jQuery/jquery-3.1.1.min.js"></script>
	<script src="../bootstrap/js/bootstrap.min.js"></script>
	<script src="../bootstrap3-dialog/dist/js/bootstrap-dialog.min.js"></script>
	<script src="./admin.js"></script>
	<script src="../js/jquery.validationEngine.js" type="text/javascript" charset="utf-8"></script>
	<script src="../js/jquery.validationEngine-de.js" type="text/javascript" charset="utf-8"></script>
</head>
<body>
	<?

		include_once "../vs_lib/vs_db_objects.php";
		include_once "./include/functions.inc.php";
		include_once "./include/classes.inc.php";
		include_once "../home/login_function.php";
		include_once "../vs_office_inc/config.inc.php";
		//LoadConfigInc();
		
		$db = new vs_db();
		$db->connect();
		
		global $user_id;
		global $is_sysadmin;

		office_login($db);

	?>
	
	<div class="container">
		<div class="row">
			<h3>Vetsoft Administration</h3>
		</div>
		<?
		// Menü nur wenn User auch Sysadmin ist
		if ($is_sysadmin){
		?>
			<!-- Dropdown Menu -->
			<div class="topmenu row-fluid">
				<ul class="nav nav-pills">
				
				<?
				if ( enable_shutdown_reboot == 1 ) {
				?>
					<li class="dropdown">
						<a href="#" data-toggle="dropdown" class="dropdown-toggle">POWER<b class="caret"></b></a>
						<ul class="dropdown-menu">
							<li><a id="_Shutdown" href="#">Shutdown Server</a></li>
							<li><a id="_Reboot" href="#">Reboot Server</a></li>
						</ul>
					</li>
				<? } ?>
				<li class="dropdown">
					<a href="#" data-toggle="dropdown" class="dropdown-toggle">ADMIN<b class="caret"></b></a>
					<ul class="dropdown-menu">
							<li><a id="_New" href="#">Neue Konfig-Varable</a></li>
							<li><a id="_Reset" href="#">Konfig in Auslieferungszustand</a></li>
							<li><a id="_Restore" href="#">Alte Konfiguration laden</a></li>
							<li><a id="_Save" class="btn-warning" href="#">Konfig aktivieren</a></li>
					</ul>
				</li>

				<?
				// Dynamischer Aufbau Dropdown Menü für Config-Inc Variable
				$MinorMenues=array();
				$MajorMenues=GetAllMajorMenues();
				$Ct1=0;
				foreach ($MajorMenues as $Major) {
					$MinorMenues=GetAllMinorMenues($Major);
					?>
					<li class="dropdown">
						<a href="#" data-toggle="dropdown" class="dropdown-toggle"><?echo $Major;?> <b class="caret"></b></a>
						<ul class="dropdown-menu">
							<? 
							foreach ($MinorMenues as $Minor) {
							?>
								<li><a id="<? echo "Menu[".$Major.":".$Minor."]";?>" href="#"><?echo $Minor;?></a></li>
							<? } ?>
						</ul>
					</li>
					<?
				$Ct1++; }
				?>
			</div> 
		<hr/>
	
		<div class="row">
			<div id="messages"><p></p></div>
		</div>
		<hr/>
	
		<div id="workbench"></div>
		</div>
	<?
	} else {
		// Falls kein Sysadmin, dann nur Meldung
		?>
		<div class="row">
			Einstellungen d&uuml;rfen nur von Administratoren ge&auml;ndert werden
		</div>
		<?
	}
	?>
</body>
</html>