<?php
/*
 *      start.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8




include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_office_inc/config.inc.php";
include_once "../vs_lib/vs_form_objects.php";

//Login Formular (zum Wiedereinloggen nach Ablauf des SESSION_COOKIES
include_once "../home/login_function.php";


$db = new vs_db();
$db->connect();

office_login($db,$can_insert,$can_edit,$can_delete);

global $user_kurz;
//muss hiet nach dem login stehen weiss der Teufel warum
include_once "../vs_lib/vs_form_objects.php";

global $user_kurz;
define("onchatkeyup"," onKeyUp=\"javascript:{chat_edit_key(event);}\" ");




//2014-11-10 KM: Abfrage fuer OS, Browser und Sprache ausgebaut.



class chat_edit extends vs_edit
	{
	function write_control()
		{
		echo"<script language=\"javascript\" src=\"start.js\"></script>";
		echo"<input type=\"$this->type\" name=\"$this->name\" value=\"$this->value\" " .
			"size=\"$this->size\" maxlength=\"$this->maxlength\" " .
			onchatkeyup." class=\"$this->cssclass\" > ";
		}
	}


//prinzipieller Seitenaufbau

//2014-12-10 KM: Formatierung geaendert neu --> $top
function seite($top,$bottom,$middle)
	{
	//2015-02-19 KM: Formatierung geaendert
	$seite=new vs_div("","","","","","vs_seite");
	$oben=new vs_div("", "", "","","","stammdaten_oben");
	//Auswahlmenue
	$menu=new vs_div("","","","","","id_menu");
	$oben->add($menu);
	//Ueberschrift
	$oben->add($top);
	$mitte=new vs_div("","","","","","start_seitenmitte");
	$unten=new vs_div;
	$unten->add($bottom);
	$mitte->add($middle);
	$seite->add($oben);
	$seite->add($mitte);
	$seite->add($unten);
	$seite->write();
	}


// TOOLBAR ist die Leiste oben mit den Bildern

function make_toolbar()
	{
	//2015-02-19 KM: Formatierung geaendert
	$tb= new vs_div("","","","","","vs_toolbar");
	
	//2014-11-26 KM: Formatierung geaendert
	//KM: geaendert vs_new_window_img -> vs_link_img
	$nwi=new vs_link_img("../img/cardfile_100.jpeg","../kartei/kartei_suchen.php?action=a_search","_blank");
	$nwi->set_title("Karteikarte suchen");
	$tb->add($nwi);
	
	//KM: geaendert vs_new_window_img -> vs_link_img
	$nwi=new vs_link_img("../img/wartezimmer.jpeg","../tools/wartezimmer.php?action=a_browse","_blank");
	$nwi->set_title("Wartezimmer");
	$tb->add($nwi);
	
	//KM: geaendert vs_new_window_img -> vs_link_img
	$nwi=new vs_link_img("../img/kasse_100.jpeg","../tools/kasse.php?action=a_browse","_blank");
	$nwi->set_title("Kasse / Tagesabrechnung");
	$tb->add($nwi);
	
	//KM: geaendert vs_new_window_img -> vs_link_img
	$nwi=new vs_link_img("../img/umsatz.jpeg","../tools/zahlung_abgabe.php","_blank");
	$nwi->set_title("Umsatz anzeigen / Exportlisten");
	$tb->add($nwi);
	
	//KM: geaendert vs_new_window_img -> vs_link_img
	$nwi=new vs_link_img("../img/labor.jpeg","../tools/readldt.php?action=a_input","_blank");
	$nwi->set_title("LDT-Dateien einlesen");
	$tb->add($nwi);
	return $tb;
	}


// SEITENMITTE

function make_chat()
	{
	global $user_kurz;
	global $user_chat_color;
	global $db;
	
	//DIV Mitte unterhalb der Toolbar
	$chat = new vs_div("1100","396");
	
	//CHAT
	$t_chat= new vs_table("chat_table",1,3);
	$t_chat_left =new vs_table("chat_table_left",2,1);
	
	//KM: Chat Meldungen DIV
	//$chat_text= new vs_div("500","360","","white","","id_chat_text");
	$chat_text= new vs_div("500","350","","white","","id_chat_text");
	$chat_text->add(new vs_text("Einen Augenblick bitte. Chat wird gestartet..."));
	$t_chat_left->add(1,1,$chat_text);
	
	//KM: Chat Eingabezeile DIV
	$d_input= new vs_div("500","30");
	
	$d_input->add(new vs_hidden("user_kurz",$user_kurz));
	$d_input->add(new vs_hidden("user_chat_color",$user_chat_color));
	//KM: Chat Eingabezeile
	$input= new chat_edit("input",60,100,"","Text");
	$d_input->add($input);
	$t_chat_left->add(2,1,$d_input);
	
	//USERS ONLINE
	$d_users = new vs_div("290","100","","","","id_users_online");
	$d_wartezimmer = new vs_div("290","290","","","","id_wartezimmer");
	
	$t_chat_middle = new vs_table("chat_table_middle",2,1);
	$t_chat_right  = new vs_table("chat_table_right",2,1);
	$heute=today();
	$heute=d_dis2db($heute); 
	
	//TODO
	$sql="Select todo_id,ziel,bezeichnung from vs_todo where erledigt_am > '$heute' order by ziel";   
	$lb_todo=new vs_db_sql_link_listbox("mt",60,$db,$sql,1,2,0,0,"","../tools/todo.php?action=a_browse&todo_id=",32,"");
	$lb_todo->set_field_typ(1,"date");
	$lb_todo->add_style("width:240px;height:160px;");
	
	//2015-01-23 KM: neuen Tab
	$lb_todo->set_new_win(1);
	$d_todo= new vs_div("250","180","","","","id_todo");
	$d_todo->add(new vs_text("<b>AUFGABEN</b>"));
	$d_todo->add($lb_todo);
	$t_chat_middle->add(1,1,$d_todo); 
	
	//BESTELLUNGEN
	$sql="Select bestellung_id,datum_ziel,lieferant from vs_bestellung where status < 1 order by datum_ziel";   
	$lb_bestell=new vs_db_sql_link_listbox("mt",60,$db,$sql,1,2,0,0,"","../tools/bestellung.php?action=a_browse&bestellung_id=",32,"");
	$lb_bestell->set_field_typ(1,"date");
	$lb_bestell->add_style("width:240px;height:150px;");
	
	//2015-01-23 KM: neuen Tab
	$lb_bestell->set_new_win(1);
	$d_bestellung = new vs_div("260","200","","","","id_bestellung");
	$d_bestellung->add(new vs_text("<b>BESTELLUNGEN</b>"));
	$d_bestellung->add($lb_bestell);
	
	//WARTEZIMMER
	$sql="Select b.besitzer_id,w.besitzer_id,w.ankunft,w.ta,b.name,b.vorname,b.wohnort ".
               " from vs_wartezimmer w,vs_besitzer b where w.besitzer_id=b.besitzer_id and w.datum='$heute' and status <> 'exit' order by ankunft";       
	$lb_warten=new vs_db_sql_link_listbox("mt",60,$db,$sql,2,6,0,0,"","../kartei/kartei.php?action=a_karte_show_behandlung&besitzer_id=",32,"");
	$lb_warten->add_style("width:260px;height:250px;");
	
	//2015-01-23 KM: neuen Tab
	$lb_warten->set_new_win(1);
	$d_wartezimmer->add(new vs_text("<b>WARTEZIMMER</b>"));
	$d_wartezimmer->add($lb_warten);
	
	
	//---------------------------------------------------------------
	// Ab hier wird alles zusammengebaut
	
	$t_chat_middle->add(2,1,$d_bestellung); 
	
	$t_chat->add(1,1,$t_chat_left);
	$t_chat->add(1,2,$t_chat_middle);
	
	$t_chat_right->add(1,1,$d_users);
	$t_chat_right->add(2,1,$d_wartezimmer);
	
	$t_chat->add(1,3,$t_chat_right);
	$chat->add($t_chat);
	
	//2014-12-22 KM: Sound abgeschaltet, stoert nur (siehe auch start.js)
	//sound-Träger
	//$chat->add(new vs_div("0","0","","","","id_chat_sound"));
	
	return $chat;
	}


 
$b = new vs_page_begin("VS - Office [Start]","../vs_office_inc/","../vs_office_inc/head.inc","../vs_office_inc/body.inc");
$b->onload="javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";

//2015-01-09 KM: Abfrage beim Schliessen des Fensters
//$b->onbeforeunload="javascript:{if (confirm('Wirklich beenden? ') != true) return false }";

$b->write();


//-------------------Seite------------------------------------------------------------------------------------------

//2014-12-10 KM: Ueberschrift neu eingefuegt
$top=new vs_text("<h2>&nbsp; STARTSEITE</h2>");

//2014-11-10 KM: Abfrage fuer OS, Browser und Sprache ausgebaut.
//get_os_browser($os,$bro);

// NAVLISTE mit Verweis auf Help
$bottom=navliste("VS-Office Startseite","","","../hilfe/help.html#start");

// TOOLBAR leiste mit den Bildern
//2015-02-19 KM: Formatierung geaendert
$middle= new vs_div();
//$middle= new vs_div("", "", "", "", "", "vs_toolbar");
$middle->add( make_toolbar());

// MITTELBEREICH der Seite
$show_chat=show_chat;
if ($show_chat==1)
	{
	$middle->add(make_chat());
	// Konstante in config.inc.php
	$chat_text_refresh=chat_text_refresh;
	$chat_user_refresh=chat_user_refresh;
	// MA: folgende Zeile raus - wird nicht benoetigt
	// $bestellung_refresh=bestellung_refresh;
	$todo_bestellung_wartezimmer_refresh=todo_bestellung_wartezimmer_refresh;
	
	//die timer aufrufen
	echo"<script language=\"javascript\">setInterval('refresh_chat()', $chat_text_refresh) </script>";  
	echo"<script language=\"javascript\">setInterval('refresh_users()', $chat_user_refresh) </script>";
	echo"<script language=\"javascript\">setInterval('refresh_todo_bestellung_wartezimmer()',$todo_bestellung_wartezimmer_refresh) </script>";
	}

//2014-12-10 KM: Formatierung geaendert 
seite($top,$bottom,$middle);

//--------------------------------------------------------------------------------------------------------------------
$e = new vs_page_end("../vs_office_inc/","../vs_office_inc/foot.inc");
$e->write();

//MA: close und free getauscht.
$db->close();
$db->free_result();

?> 
