
-- Description:	SQL-Skript zum Ueberpruefen und Korrigieren der Sequence in die der Vetsoft Office DB Ver. 1.82
-- Author:		Dirk Walter
-- Create Date:	2015-08-28



----------------------------------------------------------------
-- Teil 1 - FIX SEQUENCE: ZAEHLER UEBERPRUFEN UND KORRIGIEREN --
----------------------------------------------------------------


SELECT SETVAL('public.vs_anrede_anrede_id_seq', COALESCE(MAX(anrede_id), 1) ) FROM public.vs_anrede;
SELECT SETVAL('public.vs_behandlung_behandlung_id_seq', COALESCE(MAX(behandlung_id), 1) ) FROM public.vs_behandlung;
SELECT SETVAL('public.vs_behdoc_behdoc_id_seq', COALESCE(MAX(behdoc_id), 1) ) FROM public.vs_behdoc;
SELECT SETVAL('public.vs_behlabor_behlabor_id_seq', COALESCE(MAX(behlabor_id), 1) ) FROM public.vs_behlabor;
SELECT SETVAL('public.vs_behposition_behposition_id_seq', COALESCE(MAX(behposition_id), 1) ) FROM public.vs_behposition;
SELECT SETVAL('public.vs_bes_event_bes_event_id_seq', COALESCE(MAX(bes_event_id), 1) ) FROM public.vs_bes_event;
SELECT SETVAL('public.vs_bes_event_typ_bes_event_typ_id_seq', COALESCE(MAX(bes_event_typ_id), 1) ) FROM public.vs_bes_event_typ;
SELECT SETVAL('public.vs_besitzer_besitzer_id_seq', COALESCE(MAX(besitzer_id), 1) ) FROM public.vs_besitzer;
SELECT SETVAL('public.vs_bestellung_bestellung_id_seq', COALESCE(MAX(bestellung_id), 1) ) FROM public.vs_bestellung;
SELECT SETVAL('public.vs_bezahlt_bezahlt_id_seq', COALESCE(MAX(bezahlt_id), 1) ) FROM public.vs_bezahlt;
SELECT SETVAL('public.vs_briefanrede_briefanrede_id_seq', COALESCE(MAX(briefanrede_id), 1) ) FROM public.vs_briefanrede;
SELECT SETVAL('public.vs_etikette_etikette_id_seq', COALESCE(MAX(etikette_id), 1) ) FROM public.vs_etikette;
SELECT SETVAL('public.vs_fremdleistung_fremdleistung_id_seq', COALESCE(MAX(fremdleistung_id), 1) ) FROM public.vs_fremdleistung;
SELECT SETVAL('public.vs_futter_futter_id_seq', COALESCE(MAX(futter_id), 1) ) FROM public.vs_futter;
SELECT SETVAL('public.vs_futter_gruppe_futter_gruppe_id_seq', COALESCE(MAX(futter_gruppe_id), 1) ) FROM public.vs_futter_gruppe;
SELECT SETVAL('public.vs_gruppe1_gruppe1_id_seq', COALESCE(MAX(gruppe1_id), 1) ) FROM public.vs_gruppe1;
SELECT SETVAL('public.vs_gruppe2_gruppe2_id_seq', COALESCE(MAX(gruppe2_id), 1) ) FROM public.vs_gruppe2;
SELECT SETVAL('public.vs_gruppe3_gruppe3_id_seq', COALESCE(MAX(gruppe3_id), 1) ) FROM public.vs_gruppe3;
SELECT SETVAL('public.vs_gruppe4_gruppe4_id_seq', COALESCE(MAX(gruppe4_id), 1) ) FROM public.vs_gruppe4;
SELECT SETVAL('public.vs_gruppe5_gruppe5_id_seq', COALESCE(MAX(gruppe5_id), 1) ) FROM public.vs_gruppe5;
SELECT SETVAL('public.vs_impfung_impfung_id_seq', COALESCE(MAX(impfung_id), 1) ) FROM public.vs_impfung;
SELECT SETVAL('public.vs_impfung_zugang_impfung_zugang_id_seq', COALESCE(MAX(impfung_zugang_id), 1) ) FROM public.vs_impfung_zugang;
SELECT SETVAL('public.vs_kasse_kasse_id_seq', COALESCE(MAX(kasse_id), 1) ) FROM public.vs_kasse;
SELECT SETVAL('public.vs_labor_einheit_labor_einheit_id_seq', COALESCE(MAX(labor_einheit_id), 1) ) FROM public.vs_labor_einheit;
SELECT SETVAL('public.vs_labor_labor_id_seq', COALESCE(MAX(labor_id), 1) ) FROM public.vs_labor;
SELECT SETVAL('public.vs_laborus_laborus_id_seq', COALESCE(MAX(laborus_id), 1) ) FROM public.vs_laborus;
SELECT SETVAL('public.vs_laborwert_laborwert_id_seq', COALESCE(MAX(laborwert_id), 1) ) FROM public.vs_laborwert;
SELECT SETVAL('public.vs_leistung_leistung_id_seq', COALESCE(MAX(leistung_id), 1) ) FROM public.vs_leistung;
SELECT SETVAL('public.vs_lieferant_lieferant_id_seq', COALESCE(MAX(lieferant_id), 1) ) FROM public.vs_lieferant;
SELECT SETVAL('public.vs_med_gruppe_med_gruppe_id_seq', COALESCE(MAX(med_gruppe_id), 1) ) FROM public.vs_med_gruppe;
SELECT SETVAL('public.vs_med_typ_med_typ_id_seq', COALESCE(MAX(med_typ_id), 1) ) FROM public.vs_med_typ;
SELECT SETVAL('public.vs_med_zugang_med_zugang_id_seq', COALESCE(MAX(med_zugang_id), 1) ) FROM public.vs_med_zugang;
SELECT SETVAL('public.vs_medikament_medikament_id_seq', COALESCE(MAX(medikament_id), 1) ) FROM public.vs_medikament;
SELECT SETVAL('public.vs_mitarbeiter_mitarbeiter_id_seq', COALESCE(MAX(mitarbeiter_id), 1) ) FROM public.vs_mitarbeiter;
SELECT SETVAL('public.vs_mustertext_mustertext_id_seq', COALESCE(MAX(mustertext_id), 1) ) FROM public.vs_mustertext;
SELECT SETVAL('public.vs_patient_patient_id_seq', COALESCE(MAX(patient_id), 1) ) FROM public.vs_patient;
SELECT SETVAL('public.vs_patimpfung_patimpfung_id_seq', COALESCE(MAX(patimpfung_id), 1) ) FROM public.vs_patimpfung;
SELECT SETVAL('public.vs_rasse_rasse_id_seq', COALESCE(MAX(rasse_id), 1) ) FROM public.vs_rasse;
SELECT SETVAL('public.vs_rech_bez_rech_bez_id_seq', COALESCE(MAX(rech_bez_id), 1) ) FROM public.vs_rech_bez;
SELECT SETVAL('public.vs_rechnung_rechnung_id_seq', COALESCE(MAX(rechnung_id), 1) ) FROM public.vs_rechnung;
SELECT SETVAL('public.vs_roe_worklist_roe_worklist_id_seq', COALESCE(MAX(roe_worklist_id), 1) ) FROM public.vs_roe_worklist;
SELECT SETVAL('public.vs_roentgen_roentgen_id_seq', COALESCE(MAX(roentgen_id), 1) ) FROM public.vs_roentgen;
SELECT SETVAL('public.vs_serienbrief_serienbrief_id_seq', COALESCE(MAX(serienbrief_id), 1) ) FROM public.vs_serienbrief;
SELECT SETVAL('public.vs_standard_standard_id_seq', COALESCE(MAX(standard_id), 1) ) FROM public.vs_standard;
SELECT SETVAL('public.vs_stapos_stapos_id_seq', COALESCE(MAX(stapos_id), 1) ) FROM public.vs_stapos;
SELECT SETVAL('public.vs_status_status_id_seq', COALESCE(MAX(status_id), 1) ) FROM public.vs_status;
SELECT SETVAL('public.vs_textbaustein_textbaustein_id_seq', COALESCE(MAX(textbaustein_id), 1) ) FROM public.vs_textbaustein;
SELECT SETVAL('public.vs_tierart_tierart_id_seq', COALESCE(MAX(tierart_id), 1) ) FROM public.vs_tierart;
SELECT SETVAL('public.vs_titel_titel_id_seq', COALESCE(MAX(titel_id), 1) ) FROM public.vs_titel;
SELECT SETVAL('public.vs_user_user_id_seq', COALESCE(MAX(user_id), 1) ) FROM public.vs_user;
SELECT SETVAL('public.vs_verbrauchsmaterial_gruppe_verbrauchsmaterial_gruppe_id_seq', COALESCE(MAX(verbrauchsmaterial_gruppe_id), 1) ) FROM public.vs_verbrauchsmaterial_gruppe;
SELECT SETVAL('public.vs_verbrauchsmaterial_verbrauchsmaterial_id_seq', COALESCE(MAX(verbrauchsmaterial_id), 1) ) FROM public.vs_verbrauchsmaterial;
SELECT SETVAL('public.vs_waren_gruppe_waren_gruppe_id_seq', COALESCE(MAX(waren_gruppe_id), 1) ) FROM public.vs_waren_gruppe;
SELECT SETVAL('public.vs_waren_waren_id_seq', COALESCE(MAX(waren_id), 1) ) FROM public.vs_waren;
SELECT SETVAL('public.vs_wartezimmer_wartezimmer_id_seq', COALESCE(MAX(wartezimmer_id), 1) ) FROM public.vs_wartezimmer;
SELECT SETVAL('public.vs_wissen_wissen_id_seq', COALESCE(MAX(wissen_id), 1) ) FROM public.vs_wissen;
SELECT SETVAL('public.vs_wwwlink_wwwlink_id_seq', COALESCE(MAX(wwwlink_id), 1) ) FROM public.vs_wwwlink;
SELECT SETVAL('public.vs_zahlweise_zahlweise_id_seq', COALESCE(MAX(zahlweise_id), 1) ) FROM public.vs_zahlweise;


