#!/bin/bash

cd /tmp

SCRIPTPATH=/var/www/vhosts/vetsoft.de/demo01.vetsoft.de/vs/install-docs/vs_office_database/db-upgrade_1.83

DBN=dbvsdemo01
DBUSER=uvsdemo01
DBUSERPW=U-J#N-Dsa#Im
DBA=postgres
DBAPW=BgeH#mF_H-FPj9
VSDB=/var/www/vhosts/vetsoft.de/demo01.vetsoft.de/vs/install-docs/vs_office_database/Beispiel-DB/vetsoftdb-2015-v182_2015-09-02.tar

PGPASSWORD=$DBAPW
export PGPASSWORD

if [ "$DBUSER" == "postgres" ] ; then
  echo "   FATAL ERROR: DBUSER darf nicht postgres sein; exiting ..."
  exit
fi

# Aufruf von ReinitVS1.sql, wird nach /tmp kopiert, um den Zugriff fuer den User postgres sicherzustellen
cp $SCRIPTPATH/ReinitVS1.sql /tmp
chown postgres.postgres /tmp/ReinitVS1.sql
sudo PGPASSWORD=$DBAPW -u $DBA psql -q -f /tmp/ReinitVS1.sql --set DBN=$DBN --set DBUSER=$DBUSER --set DBUSERPW=\'$DBUSERPW\'
rm /tmp/ReinitVS1.sql

echo Importing Demo-DB
cp $VSDB /tmp
sudo PGPASSWORD=$DBAPW -u $DBA pg_restore -d $DBN /tmp/`basename $VSDB`
rm /tmp/`basename $VSDB`

# Aufruf von ReinitVS1.sql, wird nach /tmp kopiert, um den Zugriff fuer den User postgres sicherzustellen
cp $SCRIPTPATH/ReinitVS2.sql /tmp
chown postgres.postgres /tmp/ReinitVS2.sql
sudo PGPASSWORD=$DBAPW -u $DBA psql -q -f /tmp/ReinitVS2.sql --set DBN=$DBN --set DBUSER=$DBUSER --set DBUSERPW=\'$DBUSERPW\'
rm /tmp/ReinitVS2.sql

