#!/bin/bash

ActDir=`pwd`
cd ../../../admin/

ImportAll=""

if [ "$#" == 1 ] ; then
  ConfigInc="$ActDir/$1"
fi

if [ "$#" == 2 ] ; then
   if [ $1 == "--all" ] ; then
     ImportAll="--all"
     ConfigInc="$ActDir/$2"
   else
     echo "";
     echo "  Usage:";
     echo "     ImportConfig-inc.php [--all] {config-inc-Filename}";
     echo "          --all: Alles importieren, egal, ob Eintraege in DB und config-inc gleich sind";
     echo "";
     exit
   fi
else
     echo "";
   echo "  Usage:";
   echo "     ImportConfig-inc.php [--all] {config-inc-Filename}";
   echo "          --all: Alles importieren, egal, ob Eintraege in DB und config-inc gleich sind";
     echo "";
   exit
fi

if [ ! -f $ConfigInc ] ; then
   echo -e "\n Config-Inc Datei $ConfigInc existiert nicht\n"
   exit
fi
/usr/bin/php ./ImportConfig-inc.php $ImportAll $ConfigInc
