 <?php
/*
 *      handlekurz.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */






// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";

include_once "../vs_office_inc/config.inc.php";

include_once   "position_functions.php";
//wegen function create_pos_info_text
include_once  "pos_info.php";




//voellig geaendert ab 27.9.2009 wegen des faktor und typ in den Leistungen und Standardbehandlungen 
function handlekurz($db,$kurz,$faktor)
	{
	//Funktion aus position_functions.php
	$error=analyze_kurz($db,$kurz,$typ,$menge,$id,$tp);
	$a=array();
	
	if ($error=="")
		{
		$a=create_pos_info_text($db,$typ,$menge,$id,$tp,$faktor,$error);
		}
	 //nicht gefunden, Fehlergrund mitliefern
	else 
		{
		//Neu Ergebnis in json verpacken
		
		$a['success']='error';
		$a['inner_html_1']="<img src='../img/warning.gif'><span style=\"color:#FF0000;\"> ".
		htmlentities($error,ENT_COMPAT,charset)."</span>";
		}
		
	return json_encode($a);
	}


//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();

echo handlekurz($db,$_REQUEST["wert"],$_REQUEST["faktor"]);

$db->free_result();
$db->close();

?>
