/*
 *      SelectBackup.js
 *			JQuery: Definitionen v. Button Aktionen in SelectBackup.php
 *
 *      Copyright (C)  2017 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *					   Eric Walter (EW)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2017-03-22 V 1.0 EW
//
$(document).ready(function(){ 

	$("[id^=load]").click(function (e) {
		ConfigInc="../vs_office_inc/"+$(this).attr("value");
   		BootstrapDialog.show({
			title: "<h3>Konfiguration rur&uuml;cksetzen?</h3>",
			message: "Die Konfiguration wird jetzt geladen<BR><BR><b>Konfiguration aktivieren</b> nicht vergessen",
			buttons: [{
				label: 'Abbruch',
				cssClass: 'btn-primary',
					action: function(dialogItself){
					dialogItself.close();
			}
		}, {
			label: 'Laden',
			action: function(dialogItself){
				dialogItself.close();
		       	e.preventDefault();
				var msg = "#messages";
				jQuery.post (
					"./ImportConfig-inc.php",
					"ci="+ConfigInc,
					function(data) {
						$(msg).empty().append(data).show('1000');
						setTimeout(function() {$(msg).hide('slow');
						}, 9000);
					}
				)
			} // end function(dialogItself)
		}]
		}); // end BootstrapDialog
	});
});
