/*
 *      SelectWorkBench.js
 *			JQuery: Definitionen v. Button Aktionen in SelectWorkBench.php
 *
 *      Copyright (C)  2017 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *					   Eric Walter (EW)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2017-03-22 V 1.0 EW
//

$(document).ready(function(){ 

	$('form').validationEngine ({
		promptPosition : "topLeft", 
		scroll: false
	});
	
	$('#form').validationEngine();
	
	$("[id^=upd]").click(function (e) {
       	e.preventDefault();
       	var rec = $(this).attr('id');
       	rec = rec.replace('upd','');

		var myform = '#configform'+rec;
		var action=$(myform).attr("action");
		var val=$("#var_value"+rec).val();
		var params = "vs_action=update&var_value=" + val + "&rec="+ rec;
		var msg = "#message"+rec;
		var form = "#configform"+rec;

		status=$(myform).validationEngine('validate');
		if (status=='true') {
			jQuery.post (
				action,
				params,
				function(data) {
					$(msg).empty().append(data).show('1000');
					setTimeout(function() {$(msg).hide('slow');
					}, 4000);
				}
			)
		}
	});

	$("[id^=reset]").click(function (e) {
       	e.preventDefault();
       	var rec = $(this).attr('id');
       	rec = rec.replace('reset','');
       	
 		var myform = '#configform'+rec;
		var action=$(myform).attr("action");
		var val=$("#var_value"+rec).val();
		var var_default_value=$("#var_default_value"+rec).text();
		
		var params = "vs_action=reset&var_value=" + val + "&rec="+ rec + "&var_default_value="+ var_default_value;
		var msg = "#message"+rec;
		var form = "#configform"+rec;
		var type =  $("#var_value"+rec).get(0).tagName;
				
		if (type == "SELECT") {
			var_default_value=$("#var_default_id"+rec).html();
		}
		$("#var_value"+rec).val(var_default_value);

		jQuery.post (
			action,
			params,
			function(data) {
				$(msg).empty().append(data).show('1000');
				setTimeout(function() {$(msg).hide('slow');
				}, 4000);
			}
		)

	});

});
