
 <?php
/*
 *      handletodo.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8

 
 
 

//wegen charset
include_once "../vs_office_inc/config.inc.php";
include_once "../vs_lib/vs_form_objects.php";
$db = new vs_db();	
$db->connect();
//--------------todo------------------------
$heute=today();
$heute=d_dis2db($heute); 
$sql="Select todo_id,ziel,bezeichnung from vs_todo where erledigt_am > '$heute' order by ziel";   
$lb_todo=new vs_db_sql_link_listbox("mt",53,$db,$sql,1,2,0,0,"","../tools/todo.php?action=a_browse&todo_id=",32,"");
$lb_todo->set_field_typ(1,"date");
$lb_todo->add_style("width:190px;height:150px;");
$lb_todo->set_new_win(1);
$todo = $lb_todo->write_to_buffer();
//------------bestellung--------------------
$sql="Select bestellung_id,datum_ziel,lieferant from vs_bestellung where status < '1' order by datum_ziel";   
$lb_best=new vs_db_sql_link_listbox("kt",53,$db,$sql,1,2,0,0,"","../tools/bestellung.php?action=a_browse&bestellung_id=",32,"");
$lb_best->set_field_typ(1,"date");
$lb_best->add_style("width:190px;height:185px;");
$lb_best->set_new_win(1);
$bestellung = $lb_best->write_to_buffer(); 
//----------wartezimmer------------------------
$sql="Select b.besitzer_id,w.besitzer_id,w.ankunft,w.ta,b.name,b.vorname,b.wohnort ".
               " from vs_wartezimmer w,vs_besitzer b where w.besitzer_id=b.besitzer_id and w.datum='$heute' and status <> 'exit' order by ankunft";       
	
	$lb_warten=new vs_db_sql_link_listbox("mt",53,$db,$sql,2,6,0,0,"","../kartei/kartei.php?action=a_karte_show_behandlung&besitzer_id=",32,"");
	$lb_warten->add_style("width:240px;height:250px;");
	$lb_warten->set_new_win(1);

//$db->free_result();
//$db->close();
$wartezimmer = $lb_warten->write_to_buffer();

$db->close();
$db->free_result();
//Ausgabe
$now=now();
$a['wartezimmer'] = "<b>WARTEZIMMER $now</b>".$wartezimmer;
$a['todo'] = "<b>AUFGABEN</b>".$todo;
$a['bestellung'] = "<b>BESTELLUNGEN</b>".$bestellung;
echo json_encode($a);
?>

