#!/bin/bash  

DBN=vsdb
DBUSER=vsuser
DBUSERPW="U-J#N-Dsa#Im"
DBA=postgres
DBAPW="BgeH#mF_H-FPj9"
VSDUMP=vsdemo-aktuell.dmp
VSHOME="/var/www/html/vs"
WWWHOME="/var/www/html"
WWWUSER="www-data"
WWWGRP="www-data"

if [ "$1" == "-i" ] ; then
   clear
   echo -n "1. Vetsoft-DB Name [$DBN]:"
   read TMP
   if [ -n "$TMP" ] ; then
      DBN=$TMP
      unset TMP
   fi
   echo -n "2. Vetsoft-DB User [$DBUSER]:"
   read TMP
   if [ -n "$TMP" ] ; then
      DBUSER=$TMP
      unset TMP
   fi
   echo -n "3. Vetsoft-DB Passwort [$DBUSERPW]:"
   read TMP
   if [ -n "$TMP" ] ; then
      DBUSERPW=$TMP
      unset TMP
   fi
   echo -n "4. Postgres User Passwort [$DBAPW]:"
   read TMP
   if [ -n "$TMP" ] ; then
      DBAPW=$TMP
      unset TMP
   fi
   echo -n "5. Vetsoft Demo DB Dateiname [$VSDUMP]:"
   read TMP
   if [ -n "$TMP" ] ; then
      VSDUMP=$TMP
      unset TMP
   fi
   echo -n "6. Vetsoft Root Verzeichnis [$VSHOME]:"
   read TMP
   if [ -n "$TMP" ] ; then
      VSHOME=$TMP
      unset TMP
   fi
   echo -n "7. WWW Root Verzeichnis [$WWWHOME]:"
   read TMP
   if [ -n "$TMP" ] ; then
      WWWHOME=$TMP
      unset TMP
   fi
   echo -n "8. WWW/Apache Username [$WWWUSER]:"
   read TMP
   if [ -n "$TMP" ] ; then
      WWWUSER=$TMP
      unset TMP
   fi
   echo -n "9. WWW/Apache User Gruppe [$WWWGRP]:"
   read TMP
   if [ -n "$TMP" ] ; then
      WWWGRP=$TMP
      unset TMP
   fi
fi

echo $DBN - $DBUSER - $DBUSERPW - $DBAPW - $VSDUMP

PGPASSWORD=$DBAPW
export PGPASSWORD

if [ "$DBUSER" == "postgres" ] ; then
  echo "   FATAL ERROR: DBUSER darf nicht postgres sein; exiting ..."
  exit
fi

# Aufruf von ReinitVS1.sql, wird nach /tmp kopiert, um den Zugriff fuer den User postgres sicherzustellen
cp bin/ReinitVS1.sql /tmp
cp bin/ReinitVS2.sql /tmp
cp etc/htaccess $WWWHOME/.htaccess
chown postgres.postgres /tmp/ReinitVS1.sql
chown postgres.postgres /tmp/ReinitVS2.sql
chown $WWWUSER:$WWWGRP $WWWHOME/.htaccess
chmod 600 $WWWHOME/.htaccess
cp $VSDUMP /tmp

cd /tmp
# Aufruf von ReinitVS1.sql, wird nach /tmp kopiert, um den Zugriff fuer den User postgres sicherzustellen
sudo PGPASSWORD=$DBAPW -u $DBA psql -q -f /tmp/ReinitVS1.sql --set DBN=$DBN --set DBUSER=$DBUSER --set DBUSERPW=\'$DBUSERPW\'
rm /tmp/ReinitVS1.sql

echo Importing Demo-DB
sudo PGPASSWORD=$DBAPW -u $DBA pg_restore -d $DBN /tmp/$VSDUMP
rm /tmp/$VSDUMP

# Aufruf von ReinitVS2.sql, wird nach /tmp kopiert, um den Zugriff fuer den User postgres sicherzustellen
sudo PGPASSWORD=$DBAPW -u $DBA psql -q -f /tmp/ReinitVS2.sql --set DBN=$DBN --set DBUSER=$DBUSER --set DBUSERPW=\'$DBUSERPW\'
rm /tmp/ReinitVS2.sql


if [ ! -f  $VSHOME/vs_lib/vs_db_objects_inc.php.template ] ; then
   cp $VSHOME/vs_lib/vs_db_objects_inc.php $VSHOME/vs_lib/vs_db_objects_inc.php.template
fi

cp $VSHOME/vs_lib/vs_db_objects_inc.php.template $VSHOME/vs_lib/vs_db_objects_inc.php

echo > /tmp/vsinstall$$

cat $VSHOME/vs_lib/vs_db_objects_inc.php | \
while read LINE; do
    RC=`echo "$LINE" | grep "vs_constring" | grep -v "\/\/"`
    if [ -n "$RC" ] ; then
      echo -e "define(\042vs_constring\042,\042host=localhost port=5432 dbname=$DBN user=$DBUSER password=$DBUSERPW\042);" >> /tmp/vsinstall$$
    else
      echo "$LINE" >> /tmp/vsinstall$$
    fi
done

mv /tmp/vsinstall$$ $VSHOME/vs_lib/vs_db_objects_inc.php 

mkdir -p $VSHOME/../vsdata/int_data
touch $VSHOME/../vsdata/int_data/chat_text.txt
chown -R www-data:www-data $VSHOME
chown -R www-data:www-data $VSHOME/../vsdata
echo "deny from all" > ./.htaccess
chown $WWWUSER.$WWWGRP  ./.htaccess
chmod 600 ./.htaccess
