 <?php
/*
 *      handle_textbaustein_insert.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */





// include Dateien
include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_lib/vs_form_objects.php";

include_once "../vs_office_inc/config.inc.php";

//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();


function func_handle_textbaustein_insert($db,$besitzer_id,$patient_id,$behandlung_id,$textbaustein_id)
{
	$db->query("Select name,vorname,anrede,briefanrede,titel,strasse,plz,wohnort from vs_besitzer where besitzer_id=".$besitzer_id);
	$bes_row=$db->fetch_row();
	$db->free_result();
	
	$db->query("Select name,rasse,tierart,farbe,geburtstag,geschlecht,id from vs_patient where patient_id=".$patient_id);
	$pat_row=$db->fetch_row();
	$db->free_result();
		
	$db->query("Select datum,diagnose,text,brutto,netto,bezahlt from vs_behandlung where behandlung_id=".$behandlung_id);
	$beh_row=$db->fetch_row();
	$db->free_result();
		
	$db->query("Select bezeichnung,typ,text from vs_textbaustein where textbaustein_id=".$textbaustein_id);
	$textbaustein_row=$db->fetch_row();
	$db->free_result();
	
	
	//Besitzer
	$mtext = $textbaustein_row[2];
	$mtext = str_replace ("{BESNAME}",$bes_row[0],$mtext);
	$mtext = str_replace ("{BESVORNAME}",$bes_row[1],$mtext);
	$mtext = str_replace ("{BESANREDE}",$bes_row[2],$mtext);
	$mtext = str_replace ("{BESBRIEFANREDE}",$bes_row[3],$mtext);
	$mtext = str_replace ("{BESTITEL}",$bes_row[4],$mtext);
	$mtext = str_replace ("{BESSTRASSE}",$bes_row[5],$mtext);
	$mtext = str_replace ("{BESPLZ}",$bes_row[6],$mtext);
	$mtext = str_replace ("{BESORT}",$bes_row[7],$mtext);
	//Patient
	$mtext = str_replace ("{PATNAME}",$pat_row[0],$mtext);
	$mtext = str_replace ("{PATRASSE}",$pat_row[1],$mtext);
	$mtext = str_replace ("{PATTIERART}",$pat_row[2],$mtext);
	$mtext = str_replace ("{PATFARBE}",$pat_row[3],$mtext);
	$mtext = str_replace ("{PATGEBURTSTAG}",$pat_row[4],$mtext);
	$mtext = str_replace ("{PATGESCHLECHT}",$pat_row[5],$mtext);
	$mtext = str_replace ("{PATID}",$pat_row[6],$mtext);
	//Behandlung
	$mtext = str_replace ("{BEHDATUM}",$beh_row[0],$mtext);
	$mtext = str_replace ("{BEHDIAGNOSE}",$beh_row[1],$mtext);
	$mtext = str_replace ("{BEHTEXT}",$beh_row[2],$mtext);
	$mtext = str_replace ("{BEHBRUTTO}",$beh_row[3]=ptc($beh_row[3]),$mtext);
	
	//2015-01-31 KM: Beseitigung Undefined offset
	if (!isset ($beh_row[4]))
		{$beh_row[4] = null;}
	if (!isset ($beh_row[5]))
		{$beh_row[5] = null;}
	
	$mtext = str_replace ("{BEHNETTO}",$beh_row[4]=ptc($beh_row[4]),$mtext);
	$mtext = str_replace ("{BEHBEZAHLT}",$beh_row[5]=ptc($beh_row[5]),$mtext);
	//Heute
	$mtext = str_replace ("{HEUTE}",today(),$mtext);
	
	$a=array();
	$error="";
	$a['success']= "ok";
	$a['value']= $mtext;
	return  json_encode($a);
}



echo func_handle_textbaustein_insert($db,$_REQUEST["besitzer_id"],$_REQUEST["patient_id"],$_REQUEST["behandlung_id"],$_REQUEST["textbaustein_id"]);  

$db->free_result();
$db->close();
?>
