/*
 *      vetabc.js
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */





//------------------begin of file------------------------

// regulaere Ausdruecke:  http://de.selfhtml.org/javascript/objekte/regexp.htm

function hgb_onkeyup()
{
	//erst Daten erfassen
	hb=this.document.f_vetabc.HGB.value;
	hb=hb.replace(/,/,".");
	
	hkt=this.document.f_vetabc.HCT.value;
	hkt=hkt.replace(/,/,".");
	
	ery=this.document.f_vetabc.RBC.value;
	ery=ery.replace(/,/,".");
		
	if (hb && hkt)
	{
		mchc=String(hb*100/hkt);
		mchc=mchc.replace(/\W/,",");
		this.document.f_vetabc.MCHC.value=mchc;
	}
	
	if (hb && ery)
	{
		mch=String(hb*10/ery);
		mch=mch.replace(/\W/,",");
		this.document.f_vetabc.MCH.value=mch;
	}
	
	if (hkt && ery)
	{
		mcv=String(hkt*10/ery);
		mcv=mcv.replace(/\W/,",");
		this.document.f_vetabc.MCV.value=mcv;
	}
}


function lym_onkeyup()
{
	//erst Daten erfassen
	wbc=this.document.f_vetabc.WBC.value;
	wbc=wbc.replace(/,/,".");
	
	plym=this.document.f_vetabc.pLYM.value;
	plym=plym.replace(/,/,".");
	
	if (wbc && plym)
		{
		alym=String(wbc*plym/100);
		alym=alym.replace(/\W/,",");
		this.document.f_vetabc.aLYM.value=alym;
	}
}



function mo_onkeyup()
{
	//erst Daten erfassen
	wbc=this.document.f_vetabc.WBC.value;
	wbc=wbc.replace(/,/,".");
	
	pmo=this.document.f_vetabc.pMO.value;
	pmo=pmo.replace(/,/,".");
	
	if (wbc && pmo)
		{
		amo=String(wbc*pmo/100);
		amo=amo.replace(/\W/,",");
		this.document.f_vetabc.aMO.value=amo;
		}
}

function gra_onkeyup()
{
	//erst Daten erfassen
	wbc=this.document.f_vetabc.WBC.value;
	wbc=wbc.replace(/,/,".");
	
	pgra=this.document.f_vetabc.pGRA.value;
	pgra=pgra.replace(/,/,".");
	
	if (wbc && pgra)
	{
		agra=String(wbc*pgra/100);
		agra=agra.replace(/\W/,",");
		this.document.f_vetabc.aGRA.value=agra;
	}
}


//----------------end of file--------------------------
