 <?php
/*
 *      patient_functions.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */


//2014-11-26 KM: Design-Aenderung fuer all_tab_v2: Formatierung geaendert



include_once "../vs_lib/vs_visual_objects.php";
include_once "../vs_lib/vs_form_objects.php";
include_once "../vs_office_inc/vs_functions.php";
include_once "../vs_lib/vs_db_visual_objects.php";
include_once "../vs_lib/vs_db_objects.php";
include_once "../vs_office_inc/config.inc.php";
include_once "../home/login_function.php";

function seite($top,$bottom,$middle)	
	{
		//2015-02-19 KM: Formatierung geaendert
		$seite=new vs_div("","","","","","vs_seite");
		$oben = new vs_div("","","","","","stammdaten_oben");
		//Auswahlmenue
		$menu=new vs_div("","","","","","id_menu");
		$oben->add($menu);
		//Ueberschrift
		$oben->add($top);
		$mitte=new vs_div("1150","552","center");
		$unten=new vs_div;
		$unten->add($bottom);
		
		$mitte->add($middle);
		$seite->add($oben);
		$seite->add($mitte);
		$seite->add($unten);
		$seite->write();
	}
	
	
//auf jeden Fall die Datenbankverbindung
$db = new vs_db();
$db->connect();
office_login($db);



$b = new vs_page_begin("Externe Befehle ausf&uuml;hren","../vs_office_inc/","../vs_office_inc/head.inc","../vs_office_inc/body.inc");
$b->onload="javascript:{cmDraw( 'id_menu',vs_menu, 'hbr', cmThemeOffice);}";
$b->write();



//********************************************************************

$top=new vs_div("","","","","","id_menu");
$bottom=navliste("Externe Befehle ausf&uuml;hren");
$middle=new vs_div("900","500","left","white");
$middle->add(new vs_text("<h3>Einen externen Befehl ausführen</h3>"));
$output = shell_exec('sudo -u postgres -S pg_dumpall  > /home/norbert/tmp/dump8  < /home/norbert/pwfile'); //Datensicherung



$middle->add(new vs_text("<pre>".$output."</pre>"));
seite($top,$bottom,$middle);
//****************************************************************************************
$e = new vs_page_end("../vs_office_inc/","../vs_office_inc/foot.inc");
$e->write();
//Datenbankverbindung beenden
$db->free_result();
$db->close();
?> 
