 <?php
/*
 *      vs_datepicker.php
 *      
 *      Copyright (C)  2005 - 2012 © Dr. Norbert Klumpp
 *      
 *      Copyright (C)  2013 - 2015 © Vetsoft Office Projekt <http://www.http://www.vetsoft.de/>
 *                     Dirk Walter (DW),
 *                     Klaus Munsteiner (KM), 
 *                     Markus Angeli (MA)
 *      
 *      This program is free software; you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 2 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program; if not, write to the Free Software
 *      Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 *      MA 02110-1301, USA.
 */

//2015-02-26 Klaus Munsteiner: Neues Design Version 1.8

//2014-12-29 Klaus Munsteiner: NEU Datepicker fuer Datumsfelder 


//VS-Office --> Einbindung Datepicker

	// Datepicker Stylsheet
	echo"<link rel=\"stylesheet\" href=\"../vs_lib/datepick/jquery.datepick.css\" >";
		
	//jquery lokal einbinden 
	echo"<script src=\"../vs_lib/jquery/jquery-1.11.2.min.js\"></script>";
		
	//jQuery-Teile, produktiv Link auf min-Version   -->
	echo"<script src=\"../vs_lib/datepick/jquery.plugin.min.js\"></script>";
	echo"<script src=\"../vs_lib/datepick/jquery.datepick.min.js\"></script>";
		
	//Localisation deutsch
	echo"<script type=\"text/javascript\" src=\"../vs_lib/datepick/jquery.datepick-de.js\"></script>";
		
	//Script
		
		
		
	// ------ today_ alle Funktions mit default Datum heute -----
		
	//<!-- Script für Input-Feld today1 Default-heute  - 30 + 1 Jahre-->
	echo"<script>
		\$(function() {
			\$('#multi_today1_Datepicker').datepick({ 
			autoSize: 'true', defaultDate: 'today', selectDefaultDate: true, yearRange: 'c-30:c+1', showAnim: '', showTrigger: '#calImg'});
				});
		function showDate(date) {
			alert('The date chosen is ' + date);
		}
		</script>";
		
		
	//<!-- Script für Input-Feld today2 Default-heute  - 30 + 1 Jahre-->
	echo"<script>
		\$(function() {
			\$('#multi_today2_Datepicker').datepick({ 
			autoSize: 'true', defaultDate: 'today', selectDefaultDate: true, yearRange: 'c-30:c+1', showAnim: '', showTrigger: '#calImg'});
				});
		function showDate(date) {
			alert('The date chosen is ' + date);
		}
		</script>";
		
	//<!-- Script für Input-Feld today3 Default-heute  - 30 + 1 Jahre-->
	echo"<script>
		\$(function() {
			\$('#multi_today3_Datepicker').datepick({ 
			autoSize: 'true', defaultDate: 'today', selectDefaultDate: true, yearRange: 'c-30:c+1', showAnim: '', showTrigger: '#calImg'});
				});
		function showDate(date) {
			alert('The date chosen is ' + date);
		}
		</script>";
		
		
	//<!-- Script für Input-Feld today4 Default-heute  - 30 + 1 Jahre-->
	echo"<script>
		\$(function() {
			\$('#multi_today4_Datepicker').datepick({ 
			autoSize: 'true', defaultDate: 'today', selectDefaultDate: true, yearRange: 'c-30:c+1', showAnim: '', showTrigger: '#calImg'});
				});
		function showDate(date) {
			alert('The date chosen is ' + date);
		}
		</script>";
		
		
	//<!-- Script für Input-Feld today5 Default-heute  - 30 + 1 Jahre-->
	echo"<script>
		\$(function() {
			\$('#multi_today5_Datepicker').datepick({ 
			autoSize: 'true', defaultDate: 'today', selectDefaultDate: true, yearRange: 'c-30:c+1', showAnim: '', showTrigger: '#calImg'});
				});
		function showDate(date) {
			alert('The date chosen is ' + date);
		}
		</script>";
		
		
	//<!-- Script für Input-Feld today6 Default-heute  - 30 + 1 Jahre-->
	echo"<script>
		\$(function() {
			\$('#multi_today6_Datepicker').datepick({ 
			autoSize: 'true', defaultDate: 'today', selectDefaultDate: true, yearRange: 'c-30:c+1', showAnim: '', showTrigger: '#calImg'});
				});
		function showDate(date) {
			alert('The date chosen is ' + date);
		}
		</script>";
		
		
		
	// **************************************************************
		
	//<!-- Script für Input-Feld today10 Default-heute  - 10 + 10 Jahre-->
	echo"<script>
		\$(function() {
			\$('#multi_today10_Datepicker').datepick({ 
			autoSize: 'true', defaultDate: 'today', selectDefaultDate: true, showAnim: '', showTrigger: '#calImg'});
				});
		function showDate(date) {
			alert('The date chosen is ' + date);
		}
		</script>";
		
		
	// **************************************************************
	
	// ------ no_ alle Funktions ohne default Datum -----
		
		
	//<!-- Script für Input-Feld no1 kein default  - 50 + 1 Jahre-->
	echo"<script>
		\$(function() {
			\$('#multi_no1_Datepicker').datepick({ 
			autoSize: 'true', yearRange: 'c-50:c+1', showAnim: '', showTrigger: '#calImg'});
				});
		function showDate(date) {
			alert('The date chosen is ' + date);
		}
		</script>";
		
		
	//<!-- Script für Input-Feld no2 kein default  - 50 + 1 Jahre-->
	echo"<script>
		\$(function() {
			\$('#multi_no2_Datepicker').datepick({ 
			autoSize: 'true', yearRange: 'c-50:c+1', showAnim: '', showTrigger: '#calImg'});
				});
		function showDate(date) {
			alert('The date chosen is ' + date);
		}
		</script>";
		
		
	//<!-- Script für Input-Feld no3 kein default  - 50 + 0 Jahre-->
	echo"<script>
		\$(function() {
			\$('#multi_no3_Datepicker').datepick({ 
			autoSize: 'true', yearRange: 'c-50:c+1', showAnim: '', showTrigger: '#calImg'});
				});
		function showDate(date) {
			alert('The date chosen is ' + date);
		}
		</script>";
		
		
	//<!-- Script für Input-Feld no4 kein default   + 50 - 1 Jahre-->
	echo"<script>
		\$(function() {
			\$('#multi_no4_Datepicker').datepick({ 
			autoSize: 'true', yearRange: 'c-50:c+1', showAnim: '', showTrigger: '#calImg'});
				});
		function showDate(date) {
			alert('The date chosen is ' + date);
		}
		</script>";
		
		
	// **************************************************************
		
		
	// ------ R E C H N U N G  /  M A H N U N G -------
		
		//<!-- Script für Input-Feld rech1 Default-heute   + 0 - 0 Jahre-->
	echo"<script>
		\$(function() {
			\$('#multi_rech1_Datepicker').datepick({ 
			autoSize: 'true', defaultDate: 'today', selectDefaultDate: true, yearRange: 'c-0:c+0', showAnim: '', showTrigger: '#calImg'});
				});
		function showDate(date) {
			alert('The date chosen is ' + date);
		}
		</script>";
		
		
		//<!-- Script für Input-Feld rech2 Default-heute   + 0 - 0 Jahre-->
	echo"<script>
		\$(function() {
			\$('#multi_rech2_Datepicker').datepick({ 
			autoSize: 'true', defaultDate: 'today', selectDefaultDate: true, yearRange: 'c-0:c+0', showAnim: '', showTrigger: '#calImg'});
				});
		function showDate(date) {
			alert('The date chosen is ' + date);
		}
		</script>";
		
		
		//<!-- Script für Input-Feld mahn1 Default-heute   + 0 - 0 Jahre-->
	echo"<script>
		\$(function() {
			\$('#multi_mahn1_Datepicker').datepick({ 
			autoSize: 'true', selectDefaultDate: true, yearRange: 'c-0:c+0', showAnim: '', showTrigger: '#calImg'});
				});
		function showDate(date) {
			alert('The date chosen is ' + date);
		}
		</script>";
		
		
		//<!-- Script für Input-Feld mahn2 Default-heute   + 0 - 0 Jahre-->
	echo"<script>
		\$(function() {
			\$('#multi_mahn2_Datepicker').datepick({ 
			autoSize: 'true', selectDefaultDate: true, yearRange: 'c-0:c+0', showAnim: '', showTrigger: '#calImg'});
				});
		function showDate(date) {
			alert('The date chosen is ' + date);
		}
		</script>";
		
		
		//<!-- Script für Input-Feld mahn3 Default-heute   + 0 - 0 Jahre-->
	echo"<script>
		\$(function() {
			\$('#multi_mahn3_Datepicker').datepick({ 
			autoSize: 'true', selectDefaultDate: true, yearRange: 'c-0:c+0', showAnim: '', showTrigger: '#calImg'});
				});
		function showDate(date) {
			alert('The date chosen is ' + date);
		}
		</script>";
		
		
		//2015-08-06 KM: STORNO eingefuegt
		//<!-- Script für Input-Feld storno1 Default-heute   + 0 - 0 Jahre-->
	echo"<script>
		\$(function() {
			\$('#multi_storno1_Datepicker').datepick({ 
			autoSize: 'true', selectDefaultDate: true, yearRange: 'c-0:c+0', showAnim: '', showTrigger: '#calImg'});
				});
		function showDate(date) {
			alert('The date chosen is ' + date);
		}
		</script>";
		
		
	// ------ 2w alle Funktions mit default Datum heute + 2 Wochen -----
	// ------ Z A H L F R I S T -------
		
	//<!-- Script für Input-Feld 2w    HEUTE + 2 Wochen   - 0 + 1 Jahre-->
	echo"<script>
		\$(function() {
			\$('#multi_2w_Datepicker').datepick({ 
			autoSize: 'true', defaultDate: '+2w', selectDefaultDate: true, yearRange: 'c-0:c+1', showAnim: '', showTrigger: '#calImg'});
		});
		function showDate(date) {
			alert('The date chosen is ' + date);
		}
		</script>";
		
		
		
		
		
		
		

?> 
